# --------------------------------------------------------------------------- #
# Project Info
#   Defaults shown. Learn more about these options by running
#   `fontcustom help` or visiting <http://fontcustom.com>.
# --------------------------------------------------------------------------- #

font_name: fontcustom
font_design_size: 16
font_em: 512
font_ascent: 448
font_descent: 64
css_selector: .icon-{{glyph}}
preprocessor_path: ""
autowidth: false
no_hash: false
force: false
debug: false
quiet: false


# --------------------------------------------------------------------------- #
# Input Paths
# --------------------------------------------------------------------------- #

input:
  vectors: app/assets/fonts/fontcustom/vectors         # required
  templates: app/assets/fonts/fontcustom/templates


# --------------------------------------------------------------------------- #
# Output Paths
# --------------------------------------------------------------------------- #

output:
  fonts: app/assets/fonts                              # required
  css: app/assets/stylesheets
  preview: app/views/styleguide
  #my-custom-template.yml: path/to/template/output


# --------------------------------------------------------------------------- #
# Templates
#   Included in Font Custom: preview, css, scss, scss-rails
#   Custom templates should be saved in the INPUT[:templates] directory and
#   referenced by their baserame.
# --------------------------------------------------------------------------- #

templates:
 - scss
 - preview
 #- my-custom-template.yml
